# Visualization
TKV2d
Prs2d

# Prs2d_Repere Class Reference

Constructs the repere
.

`#include <Prs2d_Repere.hxx>`

Inheritance diagram for Prs2d_Repere:

[legend]

## Public Member Functions

Standard_EXPORT

Prs2d_Repere (const Handle(Graphic2d_GraphicObject)&aGO, const gp_Pnt2d &aPnt1, const gp_Pnt2d &aPnt2, const Standard_Real aLenBase, const TCollection_ExtendedString &aText, const Standard_Real aTxtScale=1.0, const Standard_Boolean aDrawArrow=Standard_False, const Standard_Real anArrAngle=10.0, const Standard_Real anArrLength=10.0, const Prs2d_TypeOfArrow anArrType=Prs2d_TOA_OPENED, const Prs2d_ArrowSide anArrow=Prs2d_AS_BOTHAR, const Standard_Boolean IsRevArrow=Standard_False)

| Creates repere .
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the repere <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws the element <anelement> of the primitive <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws the vertex <avertex> of the primitive <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the repere <me> is picked, Standard_False if not. .
virtual void | CalcTxtPos (const Standard_Boolean theFromAbs)

## Private Attributes

TShort_Array1OfShortReal | myXVert
TShort_Array1OfShortReal | myYVert
Standard_Boolean | myObtuse
Standard_Boolean | myDrawArrow

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_Repere::Prs2d_Repere | ( | const Handle(Graphic2d_GraphicObject)& | aGO,
|  | const gp_Pnt2d & | aPnt1,
|  | const gp_Pnt2d & | aPnt2,
|  | const Standard_Real | aLenBase,
|  | const TCollection_ExtendedString & | aText,
|  | const Standard_Real | aTxtScale = `1.0`,
|  | const Standard_Boolean | aDrawArrow = `Standard_False`,
|  | const Standard_Real | anArrAngle = `10.0`,
|  | const Standard_Real | anArrLength = `10.0`,
|  | const Prs2d_TypeOfArrow | anArrType = `Prs2d_TOA_OPENED`,
|  | const Prs2d_ArrowSide | anArrow = `Prs2d_AS_BOTHAR`,
|  | const Standard_Boolean | IsRevArrow = `Standard_False`
| ) |

## Member Function Documentation

void Prs2d_Repere::CalcTxtPos | ( | const Standard_Boolean | theFromAbs | ) | `[inline, protected, virtual]`

| Implements Prs2d_Dimension.

Standard_EXPORT void Prs2d_Repere::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Repere::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Repere::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const Prs2d_Repere::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs2d_Dimension.

Standard_EXPORT Standard_Boolean Prs2d_Repere::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_Repere::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

## Field Documentation

Standard_Boolean Prs2d_Repere::myDrawArrow `[private]`

Standard_Boolean Prs2d_Repere::myObtuse `[private]`

TShort_Array1OfShortReal Prs2d_Repere::myXVert `[private]`

TShort_Array1OfShortReal Prs2d_Repere::myYVert `[private]`

The documentation for this class was generated from the following files:

- Prs2d_Repere.hxx
- Prs2d_Repere.lxx